Page MenuHomePhabricator

Contact rianjs about their hg mediawiki branch
Closed, ResolvedPublic

Description

It would be good to find out from them what sort of feedback they've gotten and see if it makes sense to add their repo to instructions on mw.o.

Mercurial (hg) repository - on Bitbucket (last update in November 2014)
Log of publications - from MW 1.19.7 to 1.23.4

Answer: Basically Rian did this hg repository to track the versions for his own MediaWiki installation, he didn’t get a lot of comments (« Maybe a few "Oh, that's cool" ») and don’t have usage statististics.

Next steps: possibly interested parties (MW stakeholders' group or WMF or others) can discuss if an hg (Mercurial) repo can be created, possibly as a temporary test (and see if it is actually used).

Event Timeline

MarkAHershberger raised the priority of this task from to Needs Triage.
MarkAHershberger updated the task description. (Show Details)
MarkAHershberger changed Security from none to None.
MarkAHershberger added a subscriber: MarkAHershberger.
Reedy updated the task description. (Show Details)Nov 2 2014, 9:56 PM
Palexis triaged this task as Low priority.Dec 8 2014, 4:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 9 2015, 9:18 AM
Seb35 updated the task description. (Show Details)Dec 31 2016, 2:42 PM
Seb35 added a subscriber: Seb35.

I wondered what was this task so I’ve added some links.

Seb35 claimed this task.Dec 31 2016, 4:08 PM

I just contacted him, asking some questions about his past experience of running an hg repository of MediaWiki, and if there are still interested users. If the last question has a positive answer, it would indicate a clear need of such a repository and it could be worth spending time in creating a gateway hg <-> git (found this tool, don’t know if it would be good for this need); if there are no or just a few interested users, will depend if someone is interested in creating such a gateway.

(Personally I used hg during 6 months years ago and quite liked it; it was long before I began working in IT and learnt Git, and I never re-used hg since – just because I use Git – I was surprised recently how similar Git and hg are, at least by comparison of the previous generation of VCS like svn.)

Seb35 added a comment.Jan 1 2017, 5:45 PM

Rian answered me. Basically he did this hg repository to track the versions for his own MediaWiki installation, he didn’t get a lot of comments (« Maybe a few "Oh, that's cool" ») and don’t have usage statististics.

So possibly we have to discuss/decide if we want to create an hg repo, but it seems there is not a lot of potential users (obviously, if we create some hg repo, there could be more). Else the state is be: if anyone is interested or want to play with git-hg gateways, just do it.

Seb35 updated the task description. (Show Details)Jan 1 2017, 5:54 PM
Seb35 updated the task description. (Show Details)Jan 1 2017, 6:07 PM
cicalese closed this task as Resolved.Jul 31 2019, 12:02 AM
cicalese added a subscriber: cicalese.

Cleaning up the MediaWiki Stakeholders' Group workboard. This seems to be resolved, but feel free to reopen if that is not correct.